Author Topic: AcDbDoubleClickEdit with BRX 12  (Read 2749 times)

0 Members and 1 Guest are viewing this topic.

sshri

  • Guest
AcDbDoubleClickEdit with BRX 12
« on: April 08, 2012, 04:35:47 AM »
Hello,

I am trying to get the double click notification for my custom entity.
I have tried it for the circle as in DoubleClick sample, but that too
does not appear to work...

I am using BRX 12, with VS 2005, SP1

I have done the following...
- derived from AcDbDoubleClickEdit, overridden startEdit, finishEdit
- in DLL init, i am
NOT loading any ARX, or AcDbDoubleClickEdit::rxInit(); as the function does not exist...
but have added the
AcDbCircle::desc()->addX(AcDbDoubleClickEdit::desc(),pCircleEdit);

I AM NOT receiving notification about the double click event

Pl. let me know what I have to do... do I have to load/link any additional libs
- is there some other way, I should handle double click

thank you for all help.
shrikanth

owenwengerd

  • Bull Frog
  • Posts: 441
Re: AcDbDoubleClickEdit with BRX 12
« Reply #1 on: April 09, 2012, 09:39:13 AM »
It appears to be broken and should be reported as a bug.

It's Alive!

  • BricsCAD
  • Needs a day job
  • Posts: 7045
  • AKA Daniel
Re: AcDbDoubleClickEdit with BRX 12
« Reply #2 on: April 09, 2012, 10:48:47 AM »
yep. I tried it as well, wonder if it's the properties panel interfering..?..